Bug 438411 - -python subpackage should be in main package or at least required
-python subpackage should be in main package or at least required
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: avant-window-navigator (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Sindre Pedersen Bjørdal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-20 15:08 EDT by Jeremy Katz
Modified: 2008-03-26 13:15 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.2.6-8.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-26 13:15:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2008-03-20 15:08:42 EDT
The config apps in the awn package require the -python subpackage.  So it should
at least be required.  But it might just make as much sense to collapse it into
the main package as the extra package doesn't really help you at that point
Comment 1 Yanko Kaneti 2008-03-21 19:57:43 EDT
It also requires pyxdg

$ awn-manager
Traceback (most recent call last):
  File "/usr/bin/awn-manager", line 46, in <module>
    from awnApplet import awnApplet
  File "/usr/share/avant-window-navigator/awn-manager/awnApplet.py", line 38, in
<module>
    from xdg.DesktopEntry import DesktopEntry
ImportError: No module named xdg.DesktopEntry
Comment 2 Fedora Update System 2008-03-23 20:42:51 EDT
avant-window-navigator-0.2.6-8.fc8 has been submitted as an update for Fedora 8
Comment 3 Fedora Update System 2008-03-26 13:15:36 EDT
avant-window-navigator-0.2.6-8.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.